' Database installation script

Dim dbDataDir, dbName
'dbDataDir = GetDBDataDir() 'Get DB data directory - assuming it's the first instance
'dbName = GetDBName() 'Get DB name from user prompt, default using AIS_S3
dbName = "AIS_S3"
Dim shell
Set shell = WScript.CreateObject("WScript.Shell")

Set objFSO = CreateObject("Scripting.FileSystemObject")



'Check if the OS is 64bit
Dim BackupPath 
BackupPath = "C:\Program Files\Microsoft SQL Server\MSSQL.1\MSSQL\Backup\AIS_S3_Backup.bak"
Set dtmConvertedDate = CreateObject("WbemScripting.SWbemDateTime")
strComputer = "."
Set objWMIService = GetObject("winmgmts:" _
    & "{impersonationLevel=impersonate}!\\" & strComputer & "\root\cimv2")
Set colOperatingSystems = objWMIService.ExecQuery _
    ("Select * from Win32_OperatingSystem")
On Error Resume Next
Dim OSArch
For Each objOperatingSystem in colOperatingSystems
  OSArch = objOperatingSystem.OSArchitecture
  If OSArch = "64-bit" Then
    BackupPath = "C:\Program Files (x86)\Microsoft SQL Server\MSSQL.1\MSSQL\Backup\AIS_S3_Backup.bak"
  Else
  End if
Next
On Error GoTo 0
msgbox "Backup Path  " & vbCr & vbLf & BackupPath


'Backup the database
shell.run("sqlcmd -S localhost -Q ""BACKUP DATABASE " & dbName & " TO DISK = " & Chr(39) & BackupPath & Chr(39) & " "" ")


If objFSO.FileExists (BackupPath) Then
  Dim result
  result = shell.Run( "sqlcmd -d " & dbName & " -U aisadmin -P aisPW2007 -i add_AttachmentsType.sql", 1, true)
  result = shell.Run( "sqlcmd -d " & dbName & " -U aisadmin -P aisPW2007 -i create_sp_GetBinInventory.sql", 1, true)
  if result = 0 then
    msgbox("Database update completed")
  else 
    msgbox("Update didn't apply due to install script failed.  Please contact AIS for support")
  end if
Else
  msgbox("Update didn't apply due to backup failed.  Please contact AIS for support")
End if

'WScript.StdOut.WriteLine("Done.")

' Get DB name from user input
' - default dbname = AIS_S3
Function GetDBName()
   defDBName = "AIS_S3"
   
   WScript.StdOut.Write("Enter database name [AIS_S3]: ")
   GetDBName = WScript.StdIn.ReadLine()
   If GetDBName = "" Then
      GetDBName = defDBName
   End If
End Function

' Get DB name from user input
' - Default value is retrieved from regsitry for the first SQL installation (BIG assumption, but works most of the time)
Function GetDBDataDir()
   Dim shell
   Set shell = WScript.CreateObject("WScript.Shell")
   
   defDataDir = shell.RegRead("HKLM\Software\Wow6432Node\Microsoft\Microsoft SQL Server\MSSQL.1\Setup\SQLDataRoot") & "\Data"

   WScript.StdOut.Write("Enter data directory [" & defDataDir & "]: ")
   GetDBDataDir = WScript.StdIn.ReadLine()
   If GetDBDataDir = "" Then
      GetDBDataDir = defDataDir
   End If
End Function

' Read file from given filename, return the content of the file
Function ReadFile(filename)
  If filename <> "" Then
    Dim fs, inStream
    
    Set fs = CreateObject("Scripting.FileSystemObject")
    Set inStream = fs.OpenTextFile(filename, 1)
    ReadFile = inStream.ReadAll
    inStream.Close
    
    Set inStream = Nothing
    Set fs = Nothing
  End If
End Function

' Write file to given filename, using the given content
Function WriteFile(filename, contents)
  Dim fs, outStream

  Set fs = CreateObject("Scripting.FileSystemObject")
  Set outStream = fs.OpenTextFile(filename, 2, True)
  outStream.Write contents
  outStream.Close
  
  Set outStream = Nothing
  Set fs = Nothing
End Function
