declare @s3_machine_no int

declare s3_machines_cursor cursor for
	select		[MachineNo]
	from		AIS_S3.dbo.Machines
	order by	[MachineNo]

open s3_machines_cursor

fetch next from s3_machines_cursor into @s3_machine_no
while @@fetch_status = 0
begin
	declare @s3_av_attribute_value_no int
	declare @s3_av_value varchar(50)
	declare @s3_av_value_type varchar(50)

	declare s3_machine_settings_cursor cursor for
		select		[AttributeValueNo], [Value], [ValueType]
		from		AIS_S3.dbo.AttributeValues av
						join AIS_S3.dbo.Attributes a on a.AttributeNo = av.AttributeNo
		where		a.[Name] = 'Machine Setting'
		order by	[AttributeValueNo]

	open s3_machine_settings_cursor

	fetch next from s3_machine_settings_cursor
		into @s3_av_attribute_value_no, @s3_av_value, @s3_av_value_type
	while @@fetch_status = 0
	begin
		declare @value varchar(50)

		set @value = ''
		if @s3_av_value_type = 'bool'
		begin
			set @value = 'False'
		end

		insert into AIS_S3.dbo.MachineSettings([MachineNo], [AttributeValueNo], [Value], [LastModified])
			values(@s3_machine_no, @s3_av_attribute_value_no, @value, GETDATE())

		fetch next from s3_machine_settings_cursor
			into @s3_av_attribute_value_no, @s3_av_value, @s3_av_value_type
	end

	close s3_machine_settings_cursor
	deallocate s3_machine_settings_cursor

	fetch next from s3_machines_cursor into @s3_machine_no
end

close s3_machines_cursor
deallocate s3_machines_cursor
