declare @s3_a_attribute_no int
declare @s3_a_name varchar(50)
declare @s3_a_is_editable bit

declare @s2_a_parent_attribute_no int
declare @s2_a_name varchar(50)
declare @s2_a_parent_eligible bit
declare @s2_a_last_modified datetime

declare s3_attributes_cursor cursor for
	select		[AttributeNo], [Name], [IsEditable]
	from		AIS_S3.dbo.Attributes
	order by	AttributeNo
open s3_attributes_cursor

fetch next from s3_attributes_cursor
	into @s3_a_attribute_no, @s3_a_name, @s3_a_is_editable
while @@fetch_status = 0
begin
	declare s2_attributes_cursor cursor for
		select		a.[ParentAttributeNo], a.[Name], a.[ParentEligible], a.[LastModified]
		from		AIS.dbo.Attributes a
						join AIS.dbo.AttributeTypes at on at.[AttributeTypeNo] = a.[AttributeTypeNo]
		where		at.[Name] = @s3_a_name and
					at.[Name] in ('Customer Name','Customer Location','Customer Department')
		order by	a.[AttributeNo]
	open s2_attributes_cursor

	fetch next from s2_attributes_cursor
		into @s2_a_parent_attribute_no, @s2_a_name, @s2_a_parent_eligible, @s2_a_last_modified
	while @@fetch_status = 0
	begin
		declare @s3_av_value varchar(50)
		declare @s3_av_parent_attribute_value_no int
		declare @s3_av_parent_eligible bit

		select	@s3_av_value = [Value],
				@s3_av_parent_attribute_value_no = [ParentAttributeValueNo],
				@s3_av_parent_eligible = [ParentEligible]
		from	AIS_S3.dbo.AttributeValues
		where	[Value] = @s2_a_name

		if @@rowcount = 0
		begin
			declare @s3_sv_attribute_value_no2 int
			set @s3_sv_attribute_value_no2 = null

			if @s2_a_parent_attribute_no is not null
			begin
				declare @s2_a_name2 varchar(50)
				select @s2_a_name2 = [Name] from AIS.dbo.Attributes where [AttributeNo] = @s2_a_parent_attribute_no
				select @s3_sv_attribute_value_no2 = [AttributeValueNo] from AIS_S3.dbo.AttributeValues where [Value] = @s2_a_name2
			end

			insert into AIS_S3.dbo.AttributeValues([AttributeNo], [Value], [ValueType], [ParentAttributeValueNo], [ParentEligible], [LastModified])
				values(@s3_a_attribute_no, @s2_a_name, 'string', @s3_sv_attribute_value_no2, @s2_a_parent_eligible, GETDATE())
		end

		fetch next from s2_attributes_cursor
			into @s2_a_parent_attribute_no, @s2_a_name, @s2_a_parent_eligible, @s2_a_last_modified
	end

	close s2_attributes_cursor
	deallocate s2_attributes_cursor

	fetch next from s3_attributes_cursor
		into @s3_a_attribute_no, @s3_a_name, @s3_a_is_editable
end

close s3_attributes_cursor
deallocate s3_attributes_cursor
