declare @s2_machine_no int
declare @s2_bin int
declare @s2_product_no int
declare @s2_capacity int
declare @s2_current_qty int
declare @s2_last_modified datetime

declare s2_machinebins_cursor cursor for
	select		[MachineNo], [Bin], [ProductNo], [Capacity], [CurrentQty], [LastModified]
	from		AIS.dbo.MachineBins
	order by	[MachineBinNo]

open s2_machinebins_cursor

fetch next from s2_machinebins_cursor
	into @s2_machine_no, @s2_bin, @s2_product_no, @s2_capacity, @s2_current_qty, @s2_last_modified
while @@fetch_status = 0
begin
	declare @s2_machine_ip varchar(50)
	select @s2_machine_ip = [IP] from AIS.dbo.Machines where [MachineNo] = @s2_machine_no

	declare @s3_machine_no int
	select @s3_machine_no = [MachineNo] from AIS_S3.dbo.Machines where [IP] = @s2_machine_ip

	declare @s2_product varchar(50)
	select @s2_product = [PartNum] from AIS.dbo.Products where [ProductNo] = @s2_product_no

	declare @s3_product_no int
	select @s3_product_no = [ProductNo] from AIS_S3.dbo.Products where [PartNum] = @s2_product

	insert into AIS_S3.dbo.MachineBins([MachineNo], [Bin], [ProductNo], [Capacity], [CurrentQty], [MinQty], [LastModified])
		values(@s3_machine_no, @s2_bin, @s3_product_no, @s2_capacity, @s2_current_qty, 0, @s2_last_modified)

	fetch next from s2_machinebins_cursor
		into @s2_machine_no, @s2_bin, @s2_product_no, @s2_capacity, @s2_current_qty, @s2_last_modified
end

close s2_machinebins_cursor
deallocate s2_machinebins_cursor
