declare @s2_machines_ip varchar(50)
declare @s2_cards_id varchar(50)

declare s2_machine_cards_cursor cursor for
	select		m.IP, c.Id
	from		AIS.dbo.Cards c
					join AIS.dbo.CardGroupCards cgc on cgc.CardNo = c.CardNo
					join AIS.dbo.CardGroups cg on cg.CardGroupNo = cgc.CardGroupNo
					join AIS.dbo.Machines m on m.CardGroupNo = cg.CardGroupNo
	group by	m.IP, c.Id

open s2_machine_cards_cursor

fetch next from s2_machine_cards_cursor
	into @s2_machines_ip, @s2_cards_id
while @@fetch_status = 0
begin
	declare @s3_machine_no int
	select @s3_machine_no = [MachineNo] from AIS_S3.dbo.Machines where [IP] = @s2_machines_ip

	declare @s3_card_no int
	select @s3_card_no = [CardNo] from AIS_S3.dbo.Cards where [Id] = @s2_cards_id

	insert into AIS_S3.dbo.MachineCards([MachineNo], [CardNo], [LastModified])
		values(@s3_machine_no, @s3_card_no, GETDATE())

	fetch next from s2_machine_cards_cursor
		into @s2_machines_ip, @s2_cards_id
end

close s2_machine_cards_cursor
deallocate s2_machine_cards_cursor
