declare @s2_active bit
declare @s2_id varchar(50)
declare @s2_ip varchar(50)
declare @s2_port int
declare @s2_location_no int
declare @s2_status_no int
declare @s2_last_modified datetime

declare s2_machines_cursor cursor for
	select		[Active], [Id], [IP], [Port], [LocationNo], [StatusNo], [LastModified]
	from		AIS.dbo.Machines
	order by	[MachineNo]

open s2_machines_cursor

fetch next from s2_machines_cursor
	into @s2_active, @s2_id, @s2_ip, @s2_port, @s2_location_no, @s2_status_no, @s2_last_modified
while @@fetch_status = 0
begin
	declare @s2_location varchar(50)
	select @s2_location = [Name] from AIS.dbo.Attributes where [AttributeNo] = @s2_location_no

	declare @s3_location_no int
	select @s3_location_no = [AttributeValueNo] from AIS_S3.dbo.AttributeValues where [Value] = @s2_location

	declare @s2_status varchar(50)
	select @s2_status = [Name] from AIS.dbo.Attributes where [AttributeNo] = @s2_status_no

	declare @s3_status_no int
	select @s3_status_no = [AttributeValueNo] from AIS_S3.dbo.AttributeValues where [Value] = @s2_status

	insert into AIS_S3.dbo.Machines([Active], [Id], [IP], [Port], [LocationNo], [StatusNo], [LastModified])
		values(@s2_active, @s2_id, @s2_ip, @s2_port, @s3_location_no, @s3_status_no, @s2_last_modified)

	fetch next from s2_machines_cursor
		into @s2_active, @s2_id, @s2_ip, @s2_port, @s2_location_no, @s2_status_no, @s2_last_modified
end

close s2_machines_cursor
deallocate s2_machines_cursor
