declare @s2_part_num varchar(50)
declare @s2_description varchar(250)
declare @s2_vendor_no int
declare @s2_package_qty int
declare @s2_price money
declare @s2_current_qty int
declare @s2_min_qty int
declare @s2_order_qty int
declare @s2_is_editable bit
declare @s2_active bit
declare @s2_last_modified datetime

declare s2_products_cursor cursor for
	select		[PartNum], [Description], [VendorNo], [PackageQty], [Price], [CurrentQty], [MinQty], [OrderQty], [IsEditable], [Active], [LastModified]
	from		AIS.dbo.Products
	order by	[ProductNo]

open s2_products_cursor

fetch next from s2_products_cursor
	into @s2_part_num, @s2_description, @s2_vendor_no, @s2_package_qty, @s2_price, @s2_current_qty, @s2_min_qty, @s2_order_qty, @s2_is_editable, @s2_active, @s2_last_modified
while @@fetch_status = 0
begin
	declare @s2_vendor_name varchar(50)
	select @s2_vendor_name = [Name] from AIS.dbo.Vendors where [VendorNo] = @s2_vendor_no

	if @s2_vendor_name <> null
	begin
		insert into AIS_S3.dbo.Products([Active], [IsEditable], [PartNum], [Description], [VendorNo], [PackageQty], [Price], [CurrentQty], [MinQty], [OrderQty], [LastModified])
			select	@s2_active, @s2_is_editable, @s2_part_num, @s2_description, [VendorNo], @s2_package_qty, @s2_price, @s2_current_qty,
					@s2_min_qty, @s2_order_qty, @s2_last_modified
			from	AIS_S3.dbo.Vendors
			where	[Name] = @s2_vendor_name
	end
	else
	begin
		insert into AIS_S3.dbo.Products([Active], [IsEditable], [PartNum], [Description], [VendorNo], [PackageQty], [Price], [CurrentQty], [MinQty], [OrderQty], [LastModified])
			values(@s2_active, @s2_is_editable, @s2_part_num, @s2_description, null, @s2_package_qty, @s2_price, @s2_current_qty,
					@s2_min_qty, @s2_order_qty, @s2_last_modified)
	end

	fetch next from s2_products_cursor
		into @s2_part_num, @s2_description, @s2_vendor_no, @s2_package_qty, @s2_price, @s2_current_qty, @s2_min_qty, @s2_order_qty, @s2_is_editable, @s2_active, @s2_last_modified
end

close s2_products_cursor
deallocate s2_products_cursor
