declare @s2_report_no int
declare @s2_email_address_no int
declare @s2_last_modified datetime

declare s2_report_emails_cursor cursor for
	select		[ReportNo], [EmailAddressNo], [LastModified]
	from		AIS.dbo.ReportEmails
	order by	[ReportEmailNo]

open s2_report_emails_cursor

fetch next from s2_report_emails_cursor
	into @s2_report_no, @s2_email_address_no, @s2_last_modified
while @@fetch_status = 0
begin
	declare @s3_report_no int

	declare @s2_report_name varchar(50)
	select @s2_report_name = [Name] from AIS.dbo.Reports where [ReportNo] = @s2_report_no
	if @s2_report_name = 'Usage By Item'
	begin
		set @s2_report_name = 'Usage By Product'
	end

	select	@s3_report_no = [ReportNo]
	from	AIS_S3.dbo.Reports
	where	[Name] = @s2_report_name

	declare @s3_email_address_no int

	select	@s3_email_address_no = [EmailAddressNo]
	from	AIS_S3.dbo.EmailAddresses
	where	[Address] = (select [Address] from AIS.dbo.EmailAddresses where [EmailAddressNo] = @s2_email_address_no)

	insert into AIS_S3.dbo.ReportEmails([ReportNo], [EmailAddressNo], [LastModified])
		values(@s3_report_no , @s3_email_address_no, @s2_last_modified)

	fetch next from s2_report_emails_cursor
		into @s2_report_no, @s2_email_address_no, @s2_last_modified
end

close s2_report_emails_cursor
deallocate s2_report_emails_cursor
