declare @s3_auto_enable bit
declare @s3_name varchar(50)
declare @s3_freq_no int
declare @s3_next_run datetime
declare @s3_last_modified datetime

declare s3_reports_cursor cursor for
	select		[AutoEnable], [Name], [FrequencyNo], [NextRunDT], [LastModified]
	from		AIS_S3.dbo.Reports
	order by	[ReportNo]

open s3_reports_cursor

fetch next from s3_reports_cursor
	into @s3_auto_enable, @s3_name, @s3_freq_no, @s3_next_run, @s3_last_modified
while @@fetch_status = 0
begin
	declare @s2_name varchar(50)
	declare @s2_auto_enable bit
	declare @s2_freq varchar(50)
	declare @s2_next_run datetime
	declare @s2_last_modified datetime

	set @s2_name = @s3_name
	if @s3_name = 'Usage By Product'
	begin
		set @s2_name = 'Usage By Item'
	end

	select	@s2_auto_enable = r.[AutoEnable],
			@s2_freq = a.[Name],
			@s2_next_run = r.[NextRunDT],
			@s2_last_modified = r.[LastModified]
	from	AIS.dbo.Reports r
				join AIS.dbo.Attributes a on a.AttributeNo = r.FrequencyNo
	where	r.[Name] =  @s2_name

	if @@rowcount > 0
	begin
		declare @freq_no int

		select	@freq_no = [AttributeValueNo]
		from	AIS_S3.dbo.AttributeValues
		where	[Value] = @s2_freq

		update AIS_S3.dbo.Reports set [AutoEnable] = @s2_auto_enable, [FrequencyNo] = @freq_no, [NextRunDT] = @s2_next_run, [LastModified] = @s2_last_modified
			where [Name] = @s3_name
	end

	fetch next from s3_reports_cursor
		into @s3_auto_enable, @s3_name, @s3_freq_no, @s3_next_run, @s3_last_modified
end

close s3_reports_cursor
deallocate s3_reports_cursor
