declare @s2_transaction_dt datetime
declare @s2_download_dt datetime
declare @s2_machine_no int
declare @s2_card_no int
declare @s2_bin int
declare @s2_product_no int
declare @s2_quantity int
declare @s2_job varchar(50)
declare @s2_last_modified datetime

declare s2_transactions_cursor cursor for
	select		[TransactionDT], [DownloadDT], [MachineNo], [CardNo], [Bin], [ProductNo], [Quantity], [Job], [LastModified]
	from		AIS.dbo.Transactions
	order by	[TransactionNo]

open s2_transactions_cursor

fetch next from s2_transactions_cursor
	into @s2_transaction_dt, @s2_download_dt, @s2_machine_no, @s2_card_no, @s2_bin, @s2_product_no, @s2_quantity, @s2_job, @s2_last_modified
while @@fetch_status = 0
begin
	declare @s3_machine_no int
	select		@s3_machine_no = m3.[MachineNo]
	from		AIS_S3.dbo.Machines m3
					join AIS.dbo.Machines m2 on m2.MachineNo = m3.MachineNo
	where		m2.[MachineNo] = @s2_machine_no

	declare @s3_card_no int
	select		@s3_card_no = c3.[CardNo]
	from		AIS_S3.dbo.Cards c3
					join AIS.dbo.Cards c2 on c2.CardNo = c3.CardNo
	where		c2.[CardNo] = @s2_card_no

	declare @s3_product_no int
	select		@s3_product_no = p3.[ProductNo]
	from		AIS_S3.dbo.Products p3
					join AIS.dbo.Products p2 on p2.ProductNo = p3.ProductNo
	where		p2.[ProductNo] = @s2_product_no

	insert into AIS_S3.dbo.Transactions([TransactionDT], [MachineNo], [CardNo], [Bin], [ProductNo], [Quantity], [LastModified])
		values (@s2_transaction_dt, @s3_machine_no, @s3_card_no, @s2_bin, @s3_product_no, @s2_quantity, @s2_last_modified)

	if @s2_job is not null and @s2_job <> ''
	begin
		declare @s3_transaction_no int
		set @s3_transaction_no = scope_identity()

		insert into AIS_S3.dbo.Jobs([Active], [LocationNo], [Job], [Description], [LastModified])
			values(1, null, @s2_job, @s2_job, @s2_last_modified)

		declare @s3_job_no int
		set @s3_job_no = scope_identity()

		insert into AIS_S3.dbo.TransactionJobs([TransactionNo], [JobNo], [LastModified])
			values(@s3_transaction_no, @s3_job_no, @s2_last_modified)
	end

	fetch next from s2_transactions_cursor
		into @s2_transaction_dt, @s2_download_dt, @s2_machine_no, @s2_card_no, @s2_bin, @s2_product_no, @s2_quantity, @s2_job, @s2_last_modified
end

close s2_transactions_cursor
deallocate s2_transactions_cursor
