declare @s2_users_name varchar(50)
declare @s2_users_card_no int
declare @s2_users_id varchar(50)
declare @s2_users_dept_no int
declare @s2_users_active bit
declare @s2_users_last_modified datetime

declare s2_users_cursor cursor for
	select		[Name], [CardNo], [Id], [DeptNo], [Active], [LastModified]
	from		AIS.dbo.Users
	order by	[UserNo]

open s2_users_cursor

fetch next from s2_users_cursor
	into @s2_users_name, @s2_users_card_no, @s2_users_id, @s2_users_dept_no, @s2_users_active, @s2_users_last_modified
while @@fetch_status = 0
begin
	declare @s3_card_no int

	select	@s3_card_no = [CardNo]
	from	AIS_S3.dbo.Cards
	where	[Id] = (select [Id] from AIS.dbo.Cards where [CardNo] = @s2_users_card_no)

	declare @dept_no int

	select	@dept_no = [AttributeValueNo]
	from	AIS_S3.dbo.AttributeValues
	where	[Value] = (select [Name] from AIS.dbo.Attributes where [AttributeNo] = @s2_users_dept_no)

	insert into AIS_S3.dbo.Users([Active], [Name], [CardNo], [Id], [DeptNo], [LastModified])
		values(@s2_users_active, @s2_users_name, @s3_card_no, @s2_users_id, @dept_no, @s2_users_last_modified)

	fetch next from s2_users_cursor
		into @s2_users_name, @s2_users_card_no, @s2_users_id, @s2_users_dept_no, @s2_users_active, @s2_users_last_modified
end

close s2_users_cursor
deallocate s2_users_cursor
